Skip to main content
POST
Retrieve Chunks from a Knowledge Base / Test Retrieval

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

Body

application/json
query
string
required

Search query text.

Maximum string length: 250
retrieval_model
object

Retrieval model configuration. Controls how chunks are searched and ranked when querying this knowledge base.

attachment_ids
string[] | null

List of attachment IDs to include in the retrieval context.

Response

Retrieval results.

query
object

The original query object.

records
object[]

List of matched retrieval records.

Last modified on July 9, 2026